Create a project revenue recognition entry
curl --request POST \
--url https://www.ruddr.io/api/workspace/project-revenue-recognition-entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date": "2023-12-25",
"amount": 123,
"projectId": "<string>",
"notes": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries"
payload = {
"date": "2023-12-25",
"amount": 123,
"projectId": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2023-12-25', amount: 123, projectId: '<string>', notes: '<string>'})
};
fetch('https://www.ruddr.io/api/workspace/project-revenue-recognition-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8b2e4f91-c73a-4d16-9e5b-f1a0d2c38e67",
"date": "2026-02-28",
"amount": 22400,
"notes": "February fixed-fee recognition",
"createdAt": "2026-02-28T14:25:33.718Z",
"project": {
"id": "d4a71e93-5f28-4c0b-b6e2-a9f83d1c07b5",
"name": "Cloud Migration",
"client": {
"id": "6c0f9a27-e184-43db-b5d1-f72e8b3a9c04",
"name": "Sterling Cooper"
}
}
}Project Revenue Recognition Entries
Create a project revenue recognition entry
POST
/
project-revenue-recognition-entries
Create a project revenue recognition entry
Scheduled recognition of payments for fixed-fee projects. This is only available for projects that have a billing type of “fixed” or “fixed_recurring” and where the revenue recognition mode is set to “manual”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
The unique identifier for the object.
The date of the entry. Will be in the form YYYY-MM-DD.
The total amount of the entry.
Any notes about the entry.
The timestamp when the object was created.
The project this entry belongs to.
Show child attributes
Show child attributes
⌘I